-- bundled draw functions
draw = {}

-- draw cursor
function draw.cursor(x,y)
    lg.draw(img.cursor,x,y)
end

-- draw text
function draw.text(s,x,y,c)
    local c = c or col.white
    if cfg.txtshdw then
        lg.setColor(col.shadow)
        lg.print(s,x+1,y+1)
    end
    lg.setColor(c)
    lg.print(s,x,y)
end

-- draw window
function draw.window(x,y,w,h)
    lg.setLine(1,'rough')
    lg.setColor({40,40,40})
    lg.rectangle('fill',x,y,w,4)
    lg.setColor(col.white)
    lg.line(x+1,y+1,x+w-1,y+1)
    lg.setColor(col.gray)
    lg.line(x+1,y+2,x+w-1,y+2)
    lg.setColor(col.window)
    lg.rectangle('fill',x+1,y+4,w-2,h-4)
    lg.setColor({0,0,0,64})
    lg.rectangle('line',x+1,y+3,w-2,h-3)
end